<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

class BlogxerTheme_About_Widget extends WP_Widget {
	public function __construct() {
		parent::__construct(
            'blogxer_about_info', // Base ID
            esc_html__( 'Blogxer: About Info', 'blogxer-core' ), // Name
            array( 'description' => esc_html__( 'Blogxer: About Widget', 'blogxer-core' )) );
	}

	public function widget( $args, $instance ){
		echo wp_kses_post( $args['before_widget'] );

		if ( !empty( $instance['title'] ) ) {
			$html = apply_filters( 'widget_title', $instance['title'] );
			$html = $args['before_title'] . $html .$args['after_title'];
		}
		else {
			$html = '';
		}

		echo wp_kses_post( $html );
		?>
		<div class="about-wrap">
			<div class="rtin-img"><?php if( !empty( $instance['ab_image'] ) ) echo wp_kses_post( $instance['ab_image'] ); ?></div>
			<div class="about-content">
			<h3 class="rtin-name"><?php if( !empty( $instance['name'] ) ) echo wp_kses_post( $instance['name'] ); ?></h3>
			<p class="rtin-des"><?php if( !empty( $instance['description'] ) ) echo wp_kses_post( $instance['description'] ); ?></p>
			</div>
		</div>
		<?php
		echo wp_kses_post( $args['after_widget'] );
	}

	public function update( $new_instance, $old_instance ){
		$instance                  = array();
		$instance['title']         = ( ! empty( $new_instance['title'] ) ) ? sanitize_text_field( $new_instance['title'] ) : '';
		$instance['ab_image']      = ( ! empty( $new_instance['ab_image'] ) ) ? sanitize_text_field( $new_instance['ab_image'] ) : '';
		$instance['name']          = ( ! empty( $new_instance['name'] ) ) ? sanitize_text_field( $new_instance['name'] ) : '';
		$instance['description']   = ( ! empty( $new_instance['description'] ) ) ? wp_kses_post( $new_instance['description'] ) : '';
		return $instance;
	}

	public function form( $instance ){
		$defaults = array(
			'title'       => '',
			'ab_image'    => '',
			'name'        => '',
			'description' => '',
		);
		$instance = wp_parse_args( (array) $instance, $defaults );

		$fields = array(
			'title'       => array(
				'label'   => esc_html__( 'Title', 'blogxer-core' ),
				'type'    => 'text',
			),
			'ab_image'    => array(
				'label'   => esc_html__( 'Logo', 'blogxer-core' ),
				'type'    => 'image',
			),
			'name'        => array(
				'label'   => esc_html__( 'Name', 'blogxer-core' ),
				'type'    => 'text',
			),
			'description' => array(
				'label'   => esc_html__( 'Description', 'blogxer-core' ),
				'type'    => 'textarea',
			),
		);

		RT_Widget_Fields::display( $fields, $instance, $this );
	}
}